<?php

//$order = new \Ims\Shophelper\Models\OrderHelper();

$ordersCountArray = \Ims\Shophelper\Models\OrderHelper::getOrderCountAttribute();
/*
$ordersPending = \Jiri\JKShop\Models\Order::where("paid_date", null)->count();

$ordersCountThis = \Jiri\JKShop\Models\Order::where("created_at",">=", Carbon\Carbon::now()->addDay(-30))->count();
$ordersCountLast = \Jiri\JKShop\Models\Order::whereBetween("created_at", [Carbon\Carbon::now()->addDay(-60), Carbon\Carbon::now()->addDay(-30)])->count();
$ordersValueThis = \Jiri\JKShop\Models\Order::where("created_at",">=", Carbon\Carbon::now()->addDay(-30))->sum("total_price");
$ordersValueLast = \Jiri\JKShop\Models\Order::whereBetween("created_at", [Carbon\Carbon::now()->addDay(-60), Carbon\Carbon::now()->addDay(-30)])->sum("total_price");

$ordersCountClass = "positive"; if ($ordersCountThis < $ordersCountLast) { $ordersCountClass = "negative";  }
$ordersValueClass = "positive"; if ($ordersValueThis < $ordersValueLast) { $ordersValueClass = "negative";  }
*/
?>

<div>
    <div class="scoreboard-item control-chart col-md-2" data-control="chart-pie">
        <ul>
            <li data-color="#95b753">Ordini totali<span><?= $ordersCountArray['total'] ?></span></li>
            <li data-color="#e5a91a">Ordini da spedire <span><?= $ordersCountArray['toship'] ?></span></li>
        </ul>
    </div>
    <div class="scoreboard-item title-value col-md-2">
        <h4><?= "ordini ricevuti oggi" ?></h4>
        <p><?= $ordersCountArray['todayCount'] ?></p>
        <p class="description" style="color:darkslategray">Importo generato: <?= $ordersCountArray['todayAmount'] ?></p>
    </div>

    <div class="scoreboard-item title-value col-md-2">
        <h4><?= "Ordini di ieri" ?></h4>
        <p><?= $ordersCountArray['yesterdayCount'] ?></p>
        <p class="description" style="color:darkslategray">Importo generato: <?= $ordersCountArray['yesterdayAmount'] ?></p>
    </div>

    <div class="scoreboard-item title-value col-md-2">
        <h4><?= "ordini utlimi 7 giorni" ?></h4>
        <p><?= $ordersCountArray['sevenCount'] ?></p>
        <p class="description" style="color:darkslategray">Importo generato: <?= $ordersCountArray['sevenAmount'] ?></p>
    </div>

    <div class="scoreboard-item title-value col-md-2">
        <h4><?= "ordini di questo mese" ?></h4>
        <p><?= $ordersCountArray['monthCount'] ?></p>
        <p class="description" style="color:darkslategray">Importo generato: <?= $ordersCountArray['monthAmount'] ?></p>
    </div>

    <div class="scoreboard-item title-value col-md-2">
        <h4><?= "ordini totali" ?></h4>
        <p><?= $ordersCountArray['totalCount'] ?></p>
        <p class="description" style="color:darkslategray">Importo generato: <?= $ordersCountArray['totalAmount'] ?></p>
    </div>

    <div class="clearfix"></div>
</div>

<hr>
<?= $this->listRender() ?>
